/*******************************************************************************
 * FoxCustomSkeletalActor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxCustomSkeletalActor extends FoxCustomActor
    native(Weapon)
    config(CustomTurretActor)
    hidecategories(Navigation);

var string MeshAssetPath;
var Vector BaseCameraOffset;

simulated function PostBeginPlay()
{
    super(SkeletalMeshActor).PostBeginPlay();
    SetPreviewMesh();
    //return;    
}

simulated function SetPreviewMesh()
{
    SkeletalMeshComponent.SetSkeletalMesh(SkeletalMesh(DynamicLoadObject(MeshAssetPath, class'SkeletalMesh', false)));
    //return;    
}

// Export UFoxCustomSkeletalActor::execSetIdealCameraPosition(FFrame&, void* const)
native function SetIdealCameraPosition(float OffsetX, float OffsetY, float IdealWidth, float IdealHeight);

defaultproperties
{
    IdealCameraDistance=120.0
    MinCameraDistance=90.0
    MaxCameraDistance=200.0
    MaxYaw=32768
    MinYaw=-32768
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomSkeletalActor.SkeletalMeshComponent0.AnimNodeSeq0'
        bUpdateSkelWhenNotRendered=true
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomSkeletalActor.MyLightEnvironment'
        bCastStaticShadow=false
        bAcceptsDynamicDominantLightShadows=false
        LightingChannels=(Cinematic_1=false,Cinematic_2=true)
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomSkeletalActor.SkeletalMeshComponent0'
    SkeletalMeshComponent=SkeletalMeshComponent0
    begin object name=MyLightEnvironment class=DynamicLightEnvironmentComponent
        bEnabled=false
    object end
    // Reference: DynamicLightEnvironmentComponent'Default__FoxCustomSkeletalActor.MyLightEnvironment'
    LightEnvironment=MyLightEnvironment
    FacialAudioComp=AudioComponent'Default__FoxCustomSkeletalActor.FaceAudioComponent'
    begin object name=MyLightEnvironment class=DynamicLightEnvironmentComponent
        bEnabled=false
    object end
    // Reference: DynamicLightEnvironmentComponent'Default__FoxCustomSkeletalActor.MyLightEnvironment'
    Components(0)=MyLightEnvironment
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomSkeletalActor.SkeletalMeshComponent0.AnimNodeSeq0'
        bUpdateSkelWhenNotRendered=true
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomSkeletalActor.MyLightEnvironment'
        bCastStaticShadow=false
        bAcceptsDynamicDominantLightShadows=false
        LightingChannels=(Cinematic_1=false,Cinematic_2=true)
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomSkeletalActor.SkeletalMeshComponent0'
    Components(1)=SkeletalMeshComponent0
    Components(2)=AudioComponent'Default__FoxCustomSkeletalActor.FaceAudioComponent'
    begin object name=SkeletalMeshComponent0 class=SkeletalMeshComponent
        Animations=AnimNodeSequence'Default__FoxCustomSkeletalActor.SkeletalMeshComponent0.AnimNodeSeq0'
        bUpdateSkelWhenNotRendered=true
        ReplacementPrimitive=none
        LightEnvironment=DynamicLightEnvironmentComponent'Default__FoxCustomSkeletalActor.MyLightEnvironment'
        bCastStaticShadow=false
        bAcceptsDynamicDominantLightShadows=false
        LightingChannels=(Cinematic_1=false,Cinematic_2=true)
    object end
    // Reference: SkeletalMeshComponent'Default__FoxCustomSkeletalActor.SkeletalMeshComponent0'
    CollisionComponent=SkeletalMeshComponent0
}